Subject: Re: bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Po Lu <[email-masked]>
Date: Mon, 15 Jan 2024 08:27:20 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 14 Jan 2024 13:10:47 -0600
>> From: Jim Rees <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> This only happens with Po's patch, not with unpatched 29.1 or with Alan's
>> patch. That's the only reason I mention it. I don't feel I have enough
>> information to make a separate bug report at this time.
>
> Po Lu, does your patch assume something that exists only on the master
> branch?  If not, maybe there's some problem with your solution?

No, it should be compatible with 29.1.  Jim, does your window manager
indicate whether the frame is focused in its window decorations, and if
so, are such indications active when Emacs appears to hang?